/*
 * @(#)IFUndoElement.java
 *
 * Copyright 2001 by Intelligent Technology Inc. All rights reserved.
 */

package jp.co.iti.fagot.fob;

import java.util.Vector;

/**
 * undoableデータインターフェイス
 *
 * FElementにおいてundoイベントが発生したときに生成されるundoオブジェクト
 * のインターフェイス。
 * FElement用と、FVector用の実装がある。
 *
 * @author  千曳秀喜
 * @version 1.01 2001/01/07
 */
public interface IFUndoElement {

	/**
	 * undo
	 */
	public void undo();

	/**
	 * redo
	 */
	public void redo();

	/**
	 * オリジナルオブジェクトの収集
	 */
	public void getFobs( Vector items );
}
